# DOMTreeWalker.hpp File Reference

`#include <xercesc/dom/DOMNode.hpp>`
`#include <xercesc/dom/DOMNodeFilter.hpp>`

Include dependency graph for DOMTreeWalker.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | xercesc

## Classes

class | xercesc::DOMTreeWalker
| `DOMTreeWalker` objects are used to navigate a document tree or subtree using the view of the document defined by their `whatToShow` flags and filter (if any). More...

## Defines

#define | GetDOMTreeWalkerMemoryManager GET_INDIRECT_MM(fCurrentNode)

## Define Documentation

#define GetDOMTreeWalkerMemoryManager GET_INDIRECT_MM(fCurrentNode)